PROGRAM example2
  IMPLICIT NONE

  INTEGER, PARAMETER :: N = 53  
  DOUBLE PRECISION, PARAMETER :: a = -3.5d0
  DOUBLE PRECISION, PARAMETER :: b =  6.5d0

  DOUBLE PRECISION, PARAMETER :: step = (b-a) / (N-1)
  DOUBLE PRECISION :: x
  INTEGER :: i

  DO i = 1,N
     x = a + (i-1) * step
     PRINT *, x
  ENDDO

END PROGRAM example2
